Bug 1655529 - [RHHI] thinpool - skip_block_zeroing is not happening when lvm is created using gdeploy
Summary: [RHHI] thinpool - skip_block_zeroing is not happening when lvm is created usi...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhhi
Version: rhgs-3.4
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: RHHI-V 1.5.z Async
Assignee: Sahina Bose
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On: 1654996
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-03 11:41 UTC by SATHEESARAN
Modified: 2019-05-20 04:55 UTC (History)
9 users (show)

Fixed In Version: gdeploy-2.0.2-31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1654996
Environment:
Last Closed: 2019-05-20 04:55:01 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description SATHEESARAN 2018-12-03 11:41:30 UTC
Description of problem:

Thinpool block zero should be skipped while setting up LVM for RHHI.
However, when backend setup is done using gdeploy, block zeroing is happening.

The configuration file to test:

$ cat backend.conf 
[hosts]
10.70.41.252

[pv]
action=create
devices=vdc

[vg]
action=create
vgname=RHS_vg1
pvname=vdc

[lv]
action=create
vgname=RHS_vg1
lvname=engine_lv
lvtype=thinpool
poolmetadatasize=10MB

--- Additional comment from Red Hat Bugzilla Rules Engine on 2018-11-30 04:55:33 EST ---

This bug is automatically being proposed for a Z-stream release of Red Hat Gluster Storage 3 under active development and open for bug fixes, by setting the release flag 'rhgs‑3.4.z' to '?'. 

If this bug should be proposed for a different release, please manually change the proposed release flag.

--- Additional comment from Sachidananda Urs on 2018-12-02 23:37:56 EST ---

The output should look like:

[root@rhs31-c ~]# dmsetup table
RHS_vg1-GLUSTER_pool: 0 104800256 thin-pool 253:2 253:3 512 0 1 skip_block_zeroing 
RHS_vg1-GLUSTER_pool_tdata: 0 104800256 linear 252:32 25088
RHS_vg1-GLUSTER_pool_tmeta: 0 24576 linear 252:32 104825344
rhgs_dhcp41--223-swap: 0 4194304 linear 252:2 2048
rhgs_dhcp41--223-root: 0 35643392 linear 252:2 4196352

With skip_block_zeroing for the lv created by gdeploy.

--- Additional comment from Sachidananda Urs on 2018-12-03 01:36:41 EST ---

Patch posted at: https://github.com/gluster/gdeploy/pull/520

Comment 1 SATHEESARAN 2018-12-07 16:56:07 UTC
The dependent bug is ON_QA, moving this bug to ON_QA

Comment 2 SATHEESARAN 2018-12-07 16:56:35 UTC
Tested with gdeploy-2.0.2-31.el7rhgs

Now thinpool zeroing is skipped while creating thinpool using gdeploy conf file as mentioned in comment0

<snip>
[root@ ~]# dmsetup table | grep -i zero
gluster_vg_sdd-gluster_thinpool_sdd-tpool: 0 4294967296 thin-pool 253:15 253:16 2048 0 1 skip_block_zeroing 
</snip>


Note You need to log in before you can comment on or make changes to this bug.